Bug 79597 - UI: Typo for Password minimum length for Protect Records
Summary: UI: Typo for Password minimum length for Protect Records
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium trivial
Assignee: Laurent BP
URL:
Whiteboard: target:4.4.0 target:4.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-03 17:10 UTC by Laurent BP
Modified: 2014-06-05 08:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
image of the dialog (13.06 KB, image/png)
2014-06-03 23:44 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-06-03 17:10:17 UTC
Description: Text (Minimum 1 characters) is incorrect.

Steps to reproduce:
1. Open Writer
2. Edit > Changes > Protect Records

Actual behavior:
Dialog contains "(Minimum 1 characters)"

Expected behavior:
"(Minimum 1 character)"

opengrok.libreoffice.org/xref/core/sfx2/source/dialog/passwd.cxx#129
SfxPasswordDialog::SetPasswdText( ) should treat 1 character as a different case.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-03 23:44:33 UTC
Created attachment 100373 [details]
image of the dialog

Confirmed in LibO 4.2.4 and 4.3 beta.
Comment 2 Commit Notification 2014-06-04 08:29:43 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4440671a9de18ebf944ed09c432a98908d79f5e

fdo#79597 Password UI: correct typo for 1 character



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Joel Madero 2014-06-04 15:27:19 UTC
Can we get this backported to 4.3 also :)
Comment 4 Laurent BP 2014-06-04 16:34:34 UTC
(In reply to comment #3)
> Can we get this backported to 4.3 also :)

This commit require a new string to translate. Is it too late for translation or do we have time?
Comment 5 Joel Madero 2014-06-04 17:07:17 UTC
Sophie thoughts on if it's too late for translation on this? Worst case we can push to 4.3.1
Comment 6 sophie 2014-06-04 19:11:52 UTC
Hi, push, push, push Laurent, string freeze is for week 25 (16-22 of June) so go for it :) and thanks for your work on the EN source files! Sophie
Comment 7 Commit Notification 2014-06-05 08:18:07 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fc5d5fc5174d768869c84adfbda6367057e8577&h=libreoffice-4-3

fdo#79597 Password UI: correct typo for 1 character


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.